efl::eina::js::eina_list< T, K, W > Struct Template Reference

Public Types | Public Member Functions
efl::eina::js::eina_list< T, K, W > Struct Template Reference

## Public Types
typedef eina_container_common< efl::eina::list< W, typename std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type >, T, K > | base_type
typedef base_type::container_type | container_type
Public Types inherited from efl::eina::js::eina_container_common< efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type >, T, K >
typedef efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type > | container_type

## Public Member Functions
eina_container_base * | concat (eina_container_base const &other) const
eina_container_base * | slice (std::int64_t i, std::int64_t j) const
v8::Local< v8::Value > | set (v8::Isolate *isolate, std::size_t index, v8::Local< v8::Value > v)
int | push (v8::Isolate *isolate, v8::Local< v8::Value > v)
v8::Local< v8::Value > | pop (v8::Isolate *isolate)
js::container_type | get_container_type () const
Public Member Functions inherited from efl::eina::js::eina_container_common< efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type >, T, K >
| eina_container_common (typename efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type > ::native_handle_type raw)
std::size_t | size () const
v8::Local< v8::String > | to_string (v8::Isolate *isolate) const
v8::Local< v8::String > | join (v8::Isolate *isolate, v8::Local< v8::Value > separator_js) const
int | push (v8::Isolate *isolate, v8::Local< v8::Value >)
v8::Local< v8::Value > | pop (v8::Isolate *isolate)
v8::Local< v8::Value > | set (v8::Isolate *isolate, std::size_t, v8::Local< v8::Value >)
Public Member Functions inherited from efl::eina::js::eina_container_type_specific< efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type >, efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type > ::value_type, T, K >
v8::Local< v8::Value > | get (v8::Isolate *isolate, std::size_t index) const
int | index_of (v8::Isolate *isolate, v8::Local< v8::Value > v) const
int | last_index_of (v8::Isolate *isolate, v8::Local< v8::Value > v) const
void * | get_container_native_handle ()
void const * | get_container_native_handle () const
efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type > & | container_get ()
efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type > const & | container_get () const

## Additional Inherited Members
Data Fields inherited from efl::eina::js::eina_container_common< efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type >, T, K >
efl::eina::list< W, std::conditional< std::is_base_of< efl::eo::concrete, W >::value, efl::eina::eo_clone_allocator, efl::eina::malloc_clone_allocator >::type > | _container